<?php
header('Content-Type: application/json;charset= utf-8');
ini_set('memory_limit','5024M');
set_time_limit(0);
require("../../dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
mysqli_set_charset($con,"utf8");
if(!$con){exit;}
$res = array();
$sql = "SELECT ASTEXT(SHAPE) AS geom, X(SHAPE) AS lon, Y(SHAPE) AS lat, elem_red,tipo, (SELECT codigo FROM adm_tipos WHERE id = cat_psingulares.tipo LIMIT 1) as desctipo,";
$sql .= " z_tapa, inspeccion, profundidad, salto, z_ab, alta_fuente, alta_fecha, calle,";
$sql .= " contrato, (SELECT nombre FROM adm_contratos WHERE id = cat_psingulares.contrato LIMIT 1) as desccon,";
$sql .= " proyecto, (SELECT nombre FROM adm_proyectos WHERE id = cat_psingulares.proyecto LIMIT 1) as descpro,";
$sql .= " etapa, estado, accion, ccz, cuenca, comentarios ";
$sql .= " FROM cat_psingulares WHERE activo = 1";
if($_SERVER['REQUEST_METHOD'] == 'GET')
{
	if(isset($_GET["filtro"]))
	{
		if ($_GET["filtro"] == 1)
		{
		$sql .= " AND  (etapa = 'Proyectado' OR etapa = 'En construccion')";
		}
	}
}
$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
			$elem = array( 
								'geom' => $row["geom"],
								'lon' => $row["lon"],
								'lat' => $row["lat"],
								'elem_red' => $row["elem_red"],
								'tipo' => $row["tipo"],
								'desctipo' => $row["desctipo"],
								'z_tapa' => $row["z_tapa"],
								'inspeccion' => $row["inspeccion"],
								'profundidad' => $row["profundidad"],
								'salto' => $row["salto"],
								'z_ab' => $row["z_ab"],
								'alta_fuente' => $row["alta_fuente"],
								'alta_fecha' => $row["alta_fecha"],
								'calle' => $row["calle"],
								'contrato' => $row["contrato"],
								'desccon' => $row["desccon"],
								'proyecto' => $row["proyecto"],
								'descpro' => $row["descpro"],
								'etapa' => $row["etapa"],
								'estado' => $row["estado"],
								'accion' => $row["accion"],
								'ccz' => $row["ccz"],
								'cuenca' => $row["cuenca"],
								'comentarios' => $row["comentarios"]
				);
				array_push($res,$elem);
		}
	}
}

echo json_encode($res, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES | JSON_NUMERIC_CHECK);
?>

